(*
  #****m* SecDec/general/src/subexp/ExpOpt.m
  #  NAME
  #    ExpOpt.m
  #
  #  USAGE
  #  loaded by formfortran.m
  # 
  #  USES 
  #  Format.m (for FortranAssign), Experimental` (for OptimizeExpression)
  #
  #  USED BY 
  #    
  #  formfortran.m
  #
  #  PURPOSE
  #  Takes an optimized expression from formfortran.m, and writes it in fortran syntax to the appropriate subdirectory.
  #    
  #  INPUTS
  #  from formfortran.m:   
  #  inlist: the optimized expression to be turned into fortran syntax
  #  varletter: the letter each intermediate expression in the optimization will be prefixed by
  #  funcname: the name of the function to be written
  #  outfile: where the file is to be written
  #  fortranstring1,2,3: strings with the necessary fortran syntax
  #  xstring: string with the necessary assignments for x (IBP only), in fortran format.
  #  
  #    
  #  RESULT
  #  the f*.f file is written in fortran syntax to the specified subdirectory
  #    
  #  SEE ALSO
  #  formfortran.m, Format.m
  #   
  #****
*)
(* load Sofroniou's Format.m *)
Quiet[<<Experimental`;Get[StringJoin[path,"src/util/","Format.m"]]];
fortassign[variablename_,variablevalue_]:=
(Write[outfile,FortranAssign[variablename,variablevalue]])
writeopt[inlist_,varletter_,funcname_,outfile_]:=Module[{li1,li2,count,le,
         helpstring,fu,repl},
OpenWrite[outfile];
WriteString[outfile, fortranstring1, funcname, fortranstring2];
If[ListQ[inlist]==True,
  li2=inlist[[2]];
  li1=inlist[[1]];
  le=Length[li1];
  count=1;
  repl={};
  Do[
 	varname=StringJoin[varletter,ToString[count]];
	varval=(li2[[j,2]]/.repl);
	fortassign[varname,varval];
	(*Write[outfile,(FortranAssign[varname,varval])/.varname->StringJoin[varletter,ToString[count]]];*)
  (*helpstring=StringJoin[varletter,ToString[count],ToString["="]];
  WriteString[outfile,"       "];
  WriteString[outfile,helpstring];
  Write[outfile,FortranForm[li2[[j,2]]]/.repl];*)
  repl=Append[repl,li1[[j]]->ToExpression[StringJoin[varletter,ToString[count]]]];
  count++
  ,{j,le}];
  fu=li2[[le+1]]/.repl;
  Write[outfile,FortranAssign[funcname,fu]];
,(* else no optimization is done, inlist is not a list but can be 
    an expression of a certain Length > 1 *)
  fu=inlist;
  Write[outfile,FortranAssign[funcname,fu]];
];
WriteString[outfile, fortranstring3];
Close[outfile];
];
